@hatch_len: 3;
@hatch_len6: 0;
@hatch_len7: 3;
@hatch_len8: 5;
@hatch_len9: 7;
@hatch_len10: 10;
@hatch_len11: 15;
@hatch_len12: 20;
@hatch_len13: 30;
@hatch_len14: 40;

@airspace_C: #000080; // TMA
@airspace_CTR: #000080; // CTR
@airspace_D: #000080; // TMA
@airspace_E: #000000; // FIR
@airspace_P: #ff0000; // P
@airspace_Q: #ff0000; // D
@airspace_R: #ff0000; // TRA, TSA, R
@airspace_TSA: #c4a000; // class='R' and type TSA


#airspace [class='CTR'] { 
    line-color: @airspace_CTR;
    line-dasharray: 10, 3; 
    polygon-fill: @airspace_CTR;
    polygon-opacity: 0.1;
}

  #airspace [class='C'], #airspace [class='D'] { 
    ::outline {
      line-color: @airspace_D;
    }
    ::bigoutline {
        line-color: @airspace_D;
        line-join: bevel;
        line-opacity: 0.3;
        [zoom<7] { line-width: @hatch_len6; line-offset: -1 * (@hatch_len6 / 2); }
        [zoom=7] { line-width: @hatch_len7; line-offset: -1 * (@hatch_len7 / 2); }
        [zoom=8] { line-width: @hatch_len8; line-offset: -1 * (@hatch_len8 / 2); }
        [zoom=9] { line-width: @hatch_len9; line-offset: -1 * (@hatch_len9 / 2); }
        [zoom=10] { line-width: @hatch_len10; line-offset: -1 * (@hatch_len10 / 2); }
        [zoom=11] { line-width: @hatch_len11; line-offset: -1 * (@hatch_len11 / 2); }
        [zoom=12] { line-width: @hatch_len12; line-offset: -1 * (@hatch_len12 / 2); }
        [zoom=13] { line-width: @hatch_len13; line-offset: -1 * (@hatch_len13 / 2); }
        [zoom>13] { line-width: @hatch_len14; line-offset: -1 * (@hatch_len14 / 2); }
    }
  }

#airspace [class='E']  {
  line-color: @airspace_E; 
  line-width: 1;
  line-opacity: 0.7;
}


  #airspace [class='R'][type!='TSA'] { 
    ::outline {
      line-color: @airspace_R;
    }
    ::bigoutline {
        line-color: @airspace_R;
        line-dasharray: 1, 3; 
        [zoom>=6][zoom<9] { line-width: @hatch_len6; line-offset: -1 * (@hatch_len6 / 2); }
        [zoom>=9][zoom<12] { line-width: @hatch_len8; line-offset: -1 * (@hatch_len8 / 2); }
        [zoom>=12] { line-width: @hatch_len10; line-offset: -1 * (@hatch_len10 / 2); }
    }
  }
  
  #airspace [class='R'][type='TSA'] { 
    ::outline {
      line-color: @airspace_TSA;
    }
    ::bigoutline {
        line-color: @airspace_TSA;
        line-dasharray: 1, 3; 
        [zoom>=6][zoom<9] { line-width: @hatch_len6; line-offset: -1 * (@hatch_len6 / 2); }
        [zoom>=9][zoom<12] { line-width: @hatch_len8; line-offset: -1 * (@hatch_len8 / 2); }
        [zoom>=12] { line-width: @hatch_len10; line-offset: -1 * (@hatch_len10 / 2); }
    }
  }


  #airspace [type='P'] { 
    polygon-fill: @airspace_P;
    line-color:  @airspace_P;
    line-width: 1;
    polygon-opacity: 0.5;
  }
  #airspace [class='Q'] { 
    polygon-fill: @airspace_Q;
    line-color:  @airspace_Q;
    line-width: 1;
    polygon-opacity: 0.5;
  }


  
 [zoom>6] { // airfields zoom >6
    #airfields { 
      marker-max-error: 0;
      marker-allow-overlap: true;
      marker-file: url('images/map-[sym].svg'); 

      marker-transform: rotate([direction], 0, 0);     
 
      [sym!='EntryPoint'][sym!='heliport'] {
        [zoom<=7] { marker-width: 10; }
        [zoom=8] { marker-width: 20; }
        [zoom=9] { marker-width: 30; } 
        [zoom=10] { marker-width: 40; }
        [zoom=11] { marker-width: 50; }
        [zoom=12] { marker-width: 60; }
        [zoom=13] { marker-width: 70; }
        [zoom>13] { marker-width: 80; }
      }
      [sym='heliport'] { 
        [zoom<=7] { marker-width: 5; }
        [zoom=8] { marker-width: 10; }
        [zoom=9] { marker-width: 15; }
        [zoom=10] { marker-width: 20; }
        [zoom=11] { marker-width: 25; }
        [zoom=12] { marker-width: 30; }
        [zoom=13] { marker-width: 35; }
        [zoom>13] { marker-width: 40; }
      }
      [sym='EntryPoint'] { 
        [zoom<=7] { marker-width: 4; }
        [zoom=8] { marker-width: 8; }
        [zoom=9] { marker-width: 12; }
        [zoom=10] { marker-width: 16; }
        [zoom=11] { marker-width: 20; }
        [zoom=12] { marker-width: 24; }
        [zoom=13] { marker-width: 28; }
        [zoom>13] { marker-width: 32; }
      }
    }
  } // airfields zoom >6

