/* ---- PALETTE ---- */

@water-color:#c0d8ff;
@park:#cea;
@land:#cbd4c3;
@school:#f8e8c8;
@wood: #cceebb;
@powerline: #ff000066;


Map { 
  background-color: #ffffff; 
}

[zoom>8] {
  #srtmcontour {  
    line-width:1; 
    line-color:#168; 
    opacity: 0.15; 
    [zoom=9] { opacity: 0.01; }
    [zoom=10] { opacity: 0.03; }
    [zoom=11] { opacity: 0.05; }
    [zoom=12] { opacity: 0.10; }
    
  }

  .sloperamp {
    raster-opacity: 1.0;
    raster-scaling: bilinear;
    raster-comp-op:   multiply;
    raster-colorizer-default-mode: linear;
    raster-colorizer-default-color: transparent;
    raster-colorizer-stops:
      stop(0, #000)
      stop(256, #fff)
  }

}




[zoom > 9] {
  #powerlines {  
    ::line, ::hatch { 
      line-color: @powerline; 
      line-simplify: 0.5;
    }
    ::line { line-width:1; }
    ::hatch {    
      line-width: 4;  
      line-dasharray: 1, 16; 
    }
  }
}

[zoom>6] {
  #wood {
//    line-color:#594;
//    line-width:0.5;
    polygon-opacity:1;
    polygon-fill: @wood;
  }
  
  #building {
    polygon-fill:#cccccc;
  }


}

[zoom > 9] {
  #peaks {
    marker-file: url('images/triangle-24.svg'); 
    marker-width: 12;
    marker-opacity: 0.5;
    marker-fill: #c4a000;
    marker-allow-overlap:true;
    marker-ignore-placement:true;
  }
  
  #windgenerator {
    marker-file: url('images/power-wind.svg'); 
    marker-width: 12;
    marker-ignore-placement:true;
  marker-allow-overlap:true;
  marker-opacity: 0.7;
}


#church {       
  marker-file: url('images/church.svg'); 
  marker-width: 4;
  marker-ignore-placement:true;
  marker-allow-overlap:true;
  marker-opacity: 0.7;
}


#chapel {
  marker-file: url('images/chapel.svg'); 
  marker-width: 4;
  marker-ignore-placement:true;
  marker-allow-overlap:true;
  marker-opacity: 0.7;
}


#castle {
  marker-file: url('images/castle.svg'); 
  marker-width:6;
  marker-ignore-placement:true;
  marker-allow-overlap:true;
  marker-opacity: 0.7;
}


#ruins {
  marker-file: url('images/ruin.svg'); 
  marker-width:6;
  marker-allow-overlap:true;
  marker-ignore-placement:true;
  marker-opacity: 0.7;
}

}

