#water-areas [zoom >= 8] {

  [landuse = 'basin'][zoom >= 7][zoom<13]::landuse {
      polygon-gamma: 0.75;
      polygon-fill: @water-color;
  }
  
  [water = 'intermittent'][zoom >= 13]::landuse,
  [landuse = 'salt_pond'][zoom >= 13]::landuse,
  [landuse = 'basin'][zoom >= 13]::landuse {
//    polygon-pattern-file: url('symbols/basin.png');
    line-color: @water-color;
  }

  [amenity = 'fountain']::natural,
  [natural = 'lake']::natural,
  [natural = 'water']::natural,
  [landuse = 'reservoir']::landuse,
  [waterway = 'riverbank']::waterway,
  [landuse = 'water']::water,
  [natural = 'bay']::natural {
    [zoom >= 6] {
      polygon-fill: @water-color;
      polygon-gamma: 0.75;
    }
  }

 
}

#water-lines-low-zoom {
  [waterway = 'river'][zoom >= 8][zoom < 12] {
    line-color: @water-color;
    line-width: 0.7;
    [zoom >= 9] { line-width: 1.2; }
    [zoom >= 10] { line-width: 1.6; }
  }
}

#water-lines {
  [waterway = 'weir'][zoom >= 15] {
    line-color: #aaa;
    line-width: 2;
    line-join: round;
    line-cap: round;
  }

  [waterway = 'wadi'][zoom >= 13] {
    line-color: @water-color;
    line-width: 1;
    line-dasharray: 4,4;
    line-cap: round;
    line-join: round;
    [zoom >= 16] { line-width: 2; }
  }

  [waterway = 'river'][zoom >= 12] {
    line-color: @water-color;
    line-width: 2;
    line-cap: round;
    line-join: round;
    [zoom >= 13] {
      line-width: 3;
    }
    [zoom >= 14] {
      line-width: 5;
    }
    [zoom >= 15] {
      line-width: 6;
    }
    [zoom >= 17] {
      line-width: 10;
    }
    [zoom >= 18] {
      line-width: 12;
    }
    [tunnel = 'yes'] {
      [zoom >= 14] {
        a/line-width: 6;
        a/line-dasharray: 4,2;
        a/line-color: @water-color;
        b/line-width: 4;
        b/line-color: white;
      }
      [zoom >= 15] {
        a/line-width: 7;
      }
      [zoom >= 17] {
        a/line-width: 11;
        b/line-width: 7;
      }
      [zoom >= 18] {
        a/line-width: 13;
        b/line-width: 9;
      }
    }
  }

  [waterway = 'canal'][zoom >= 12][zoom < 14] {
    line-color: @water-color;
    line-width: 3;
    line-cap: round;
    line-join: round;
    [zoom >= 13] {
      line-width: 4;
    }
  }

  [waterway = 'stream'],
  [waterway = 'ditch'],
  [waterway = 'drain'] {
    [zoom >= 13][zoom < 15] {
      line-width: 1;
      line-color: @water-color;
    }
  }

  [waterway = 'stream'][zoom >= 15] {
    line-width: 2;
    line-color: @water-color;
    [tunnel = 'yes'] {
      line-dasharray: 4,2;
      line-width: 2.4;
      a/line-width: 1.2;
      a/line-color: #f3f7f7;
    }
  }

  [waterway = 'drain'],
  [waterway = 'ditch'] {
    [zoom >= 15] {
      line-width: 1;
      line-color: @water-color;
      [tunnel = 'yes'] {
        line-width: 2;
        a/line-dasharray: 4,2;
        a/line-width: 1;
        a/line-color: #f3f7f7;
      }
    }
  }

  [waterway = 'canal'][zoom >= 14] {
    line-width: 7;
    [zoom >= 17] { line-width: 11; }
    line-color: @water-color;
    line-join: round;
    line-cap: round;
    [tunnel = 'yes'] {
	  line-cap: butt;
	  line-dasharray: 4,2;
      b/line-width: 3;
      b/line-color: white;
      [zoom >= 17] { b/line-width: 7; }
    }
  }

  [waterway = 'derelict_canal'],
  [waterway = 'canal'] {
    [zoom >= 12] {
      line-width: 1.5;
      line-color: #b5e4d0;
      line-dasharray: 4,4;
      line-opacity: 0.5;
      line-join: round;
      line-cap: round;
    }
    [zoom >= 13] {
      line-width: 2.5;
      line-dasharray: 4,6;
    }
    [zoom >= 14] {
      line-width: 4.5;
      line-dasharray: 4,8;
    }
  }
}
