<?php

//echo "disabled"; exit();

require_once('../tune.php');
require_once('config.php');

$dbconn = pg_connect($config['dbconn']) or die('Could not connect: ' . pg_last_error());

$cup_filename = './data/CZ_Points.cup';
$laa = json_decode(file_get_contents('./data/lkaa.json'), true);

$cup_cnt = file_get_contents($cup_filename);
$cup_data = parse_cup($cup_cnt);




$query = "TRUNCATE airfields";
pg_query($query) or die('Query failed:  <br/> <br/>' . pg_last_error(). ' <br/> <br/>' . $query);


$query = "START TRANSACTION;";
pg_query($query) or die('Query failed:  <br/> <br/>' . pg_last_error(). ' <br/> <br/>' . $query);

foreach ($cup_data['waypoints'] as $c) {
  if ($c['country'] != 'CZ') {
    continue;
  }
    $stats[$c['style']] = isset($stats[$c['style']]) ? $stats[$c['style']]+1 : 1;

//echo styleToString(6);
  if (($c['styleId'] < 2) || ($c['styleId'] > 5)) { // jenom letiste/ull plochy
    continue;
  }

  echo $c['name']. " ". $c['style']. " ". $c['description']."<br/>\n";
  

  $query = sprintf("INSERT INTO airfields (region,name,code,description,elevation,direction,length,frequency,sym,position) VALUES ('%s','%s','%s','%s','%d','%d', '%d', '%f','%s', ST_GeomFromText('POINT(%s)', 4326))",
    pg_escape_string($c['country']), 
    pg_escape_string($c['name']), 
    pg_escape_string($c['code']), 
    pg_escape_string($c['description']),
    pg_escape_string($c['ele']),
    pg_escape_string($c['direction']),
    pg_escape_string($c['length']),
    pg_escape_string($c['frequency']),
    pg_escape_string($c['style']),
    ($c['lon']. ' '.$c['lat'])

  ); 
  pg_query($query) or die('Query failed:  <br/> <br/>' . pg_last_error(). ' <br/> <br/>' . $query);
}

$query = "COMMIT;";
pg_query($query) or die('Query failed:  <br/> <br/>' . pg_last_error(). ' <br/> <br/>' . $query);


function parse_cup($str) {

    if ($split = preg_split("/-----Related Tasks-----/", $str)) {
     return array(
       'waypoints' => parseWaypoints($split[0]),
       'tasks' => parseTasks($split[1]),
     );
    } else {
     return array(
       'waypoints' => array(),
       'tasks' => array(),
     );
    }

}


function parseDMLat($str) {
  if (preg_match("/(\d\d)(\d\d\.\d\d\d)([nsNS])/", $str, $match)) {
    $dir = strtoupper($match[3]);
    $dir = (($dir === "N" ) ? 1.0 : -1.0);

    $d = (float)($match[1]);
    $m = (float)($match[2]);

    $value = $dir * ( $d + $m/60.0  );

    return $value;
  } else {
    return 0.0;
  }
}

function parseDMLon($str) {

  if (preg_match("/(\d\d)(\d\d\.\d\d\d)([ewEW])/", $str, $match)) {
    $dir = strtoupper($match[3]);
    $dir = (($dir === "E" ) ? 1.0 : -1.0);

    $d = (float)($match[1]);
    $m = (float)($match[2]);

    $value = $dir * ( $d + $m/60.0  );

    return $value;
  } else {
    return 0.0;
  }
}



function parseWaypoints($str) {
  $lines = explode("\n", $str);
  $data = array();
  foreach ($lines as $idx => $line) {
    if ($idx == 0) {
      continue;
    }
    $line_csv = str_getcsv($line, ",", "\"");
    if (count($line_csv) < 7) {
      continue;
    }

    $waypoint = array(
      'name' => $line_csv[0],
      'code' => $line_csv[1],
      'country' => $line_csv[2],
      'lat' => parseDMLat($line_csv[3]),
      'lon' => parseDMLon($line_csv[4]),
      'ele' => round(((float)$line_csv[5])*3.2808399),
      'style' => styleToString($line_csv[6]),
      'styleId' => (int)$line_csv[6],
      'direction' => $line_csv[7],
      'length' => $line_csv[8],
      'frequency' => $line_csv[9],
      'description' => $line_csv[10],
      'user_data' => (isset($line_csv[11]) ? $line_csv[11] : ""),
      'pics' => ((isset($line_csv[12])) ? $line_csv[12] : ""),
    );

    array_push($data, $waypoint);
  }
  return $data;
}

function parseTasks($str) {
  return array();
}

?>