<?php

//echo "disabled"; exit();

require_once('../tune.php');
require_once('config.php');
require('csv.php');

function ourairportTypeToStyle($type) {
  $array = array(
      'medium_airport' => 'AirfieldSolid',
      'small_airport' => 'AirfieldSolid',
      'large_airport' => 'AirfieldSolid',
      'heliport' => 'heliport'
  );
  if (!array_key_exists($type, $array)) {
    $type = 'large_airport';
  }
  return $array[$type];
}

function surfaceToType($sfc) {
  $array = array(
    'UNK' => 'GliderSite',
    'GRS' => 'AirfieldGrass',
    'CON' => 'AirfieldSolid',
    'ASP' => 'AirfieldSolid',
    'ASPH' => 'AirfieldSolid',
    'Grass' => 'AirfieldGrass',
    'grass' => 'AirfieldGrass',
    'asphalt' => 'AirfieldSolid',
    'GRASS' => 'AirfieldGrass',
    'PEM' => 'Outlanding',
    'concrete' => 'AirfieldSolid',
    'ASPHALT' => 'AirfieldSolid',
    'Concrete' => 'AirfieldSolid',
    'Paved' => 'GliderSite',
    'TURF' => 'Outlanding',
    'Asphalt' => 'AirfieldSolid',
    'ALPHALT' => 'AirfieldSolid',
    'CLOSED' => 'GliderSite',
    'Brick' => 'AirfieldSolid',
  );
  if (!array_key_exists($sfc, $array)) {
    return 'Outlanding';
  }
  return $array[$sfc];
}



$dbconn = pg_connect($config['dbconn']) or die('Could not connect: ' . pg_last_error());

$query = "START TRANSACTION;";
pg_query($query) or die('Query failed:  <br/> <br/>' . pg_last_error(). ' <br/> <br/>' . $query);

$laa = json_decode(file_get_contents('./data/lkaa.json'), true);

$airports_file = "data_ourairports/airports.csv";
$airports = csv_to_array(file_get_contents($airports_file ), ",","\"");

$runways_file = "data_ourairports/runways.csv";
$runways = csv_to_array(file_get_contents($runways_file ), ",","\"");
$runways_ids = array();
unset($runways[0]);
foreach ($runways as $r) {
  $runways_ids[$r[1]] = $r;
}

/*
    [0] => id
    [1] => airport_ref
    [2] => airport_ident
    [3] => length_ft
    [4] => width_ft
    [5] => surface
    [6] => lighted
    [7] => closed
    [8] => le_ident
    [9] => le_latitude_deg
    [10] => le_longitude_deg
    [11] => le_elevation_ft
    [12] => le_heading_degT
    [13] => le_displaced_threshold_ft
    [14] => he_ident
    [15] => he_latitude_deg
    [16] => he_longitude_deg
    [17] => he_elevation_ft
    [18] => he_heading_degT
    [19] => he_displaced_threshold_ft
    [20] => 
*/

$tmp =array();

$i = 0;
unset($airports[0]);
foreach ($airports as $c) {


//  if (!in_array($c[8], array('CZ', 'SK', 'AT', 'PL', 'DE'))) {
  if (!in_array($c[8], array('CZ'))) {
    continue;
  }

  if (($c[8] == 'CZ') && ($c[2] != 'heliport')) {
    continue;
  }

  if ($c[2] == 'closed') {
    continue;
  }

  $id = $c[0];
  $length = 0;
  $direction = 0;
  $sym = ourairportTypeToStyle($c[2]);
  if (isset($runways_ids[$id])) {
    $r = $runways_ids[$id];
    $length = $r[3];
    $direction = $r[12];
    $sym = surfaceToType($r[5]);
  }
  if (($direction == 0) && ($sym != 'heliport')) {
    continue;
  }

//  echo "<pre>".print_r($c, true). "</pre>";
/*

    [0] => id
    [1] => ident
    [2] => type
    [3] => name
    [4] => latitude_deg
    [5] => longitude_deg
    [6] => elevation_ft
    [7] => continent
    [8] => iso_country
    [9] => iso_region
    [10] => municipality
    [11] => scheduled_service
    [12] => gps_code
    [13] => iata_code
    [14] => local_code
    [15] => home_link
    [16] => wikipedia_link
    [17] => keywords
*/


  $query = sprintf("INSERT INTO airfields (region,name,code,description,elevation,direction,length,frequency,sym,position) VALUES ('%s','%s','%s','%s','%d','%d', '%d', '%f','%s', ST_GeomFromText('POINT(%s)', 4326))",
    pg_escape_string($c[8]), 
    pg_escape_string($c[3]), 
    pg_escape_string($c[1]), 
    pg_escape_string($c[10]),
    pg_escape_string($c[6]),
    pg_escape_string($direction),
    pg_escape_string($length),
    pg_escape_string(''),
    pg_escape_string($sym),
    ($c[5]. ' '.$c[4])

  ); 
//echo $query;
  echo $c[1]. " " . $c[2]."<br/>\n";  flush();

  pg_query($query) or die('Query failed:  <br/> <br/>' . pg_last_error(). ' <br/> <br/>' . $query);


//  $i++;
//  if ($i > 5) break;
}


//$cup_cnt = file_get_contents($cup_filename);
//$cup_data = parse_cup($cup_cnt);







$query = "COMMIT;";
pg_query($query) or die('Query failed:  <br/> <br/>' . pg_last_error(). ' <br/> <br/>' . $query);

?>