#!/bin/bash 

# set -x

CONTOUR_STEP=25

if [ 0 = 1 ]; then
  echo -n "Merging files: "
  gdal_merge.py srtm_*.tif -o srtm.tif
fi


if [ 1 = 1 ] ; then

  for i in $(ls -1 srtm_*.tif); do 
    fn=$(basename $i .tif);

    echo "reprojecting"
    gdalwarp -s_srs EPSG:4326 -t_srs EPSG:3785 -r bilinear $fn.tif $fn-3785.tif

    if [ 0 = 1 ]; then
      echo "Creating contours"
      gdal_contour -a elev -i $CONTOUR_STEP $fn-3785.tif $fn-3785.shp
    fi



#    echo -n "Generating hill shading: $fn"
#    gdaldem hillshade -z 5 $fn-3785.tif $fn-3785-hs.tif
#    echo "and overviews:"
#    gdaladdo -r average $fn-3785-hs.tif 2 4 8 16 32
#
    echo -n "Generating slope files: "
    gdaldem slope $fn-3785.tif $fn-3785-slope.tif
    echo "and overviews:"
    gdaladdo -r average $fn-3785-slope.tif 2 4 8 16 32


    echo -n "Slope shading"
    gdaldem color-relief $fn-3785-slope.tif slope-ramp.txt $fn-3785-slope-ramp.tif
    echo "and overviews."
    gdaladdo -r average $fn-3785-slope-ramp.tif 2 4 8 16 32


#    echo -n "Translating to 0-90..."
#    gdal_translate -ot Byte -scale 0 90 $fn-3785-slope.tif $fn-3785-slope-scale.tif
#    echo "and overviews."
#    gdaladdo -r average $fn-3785-slope-scale.tif 2 4 8 16 32

#    echo -n Translating DEM...
#    gdal_translate -ot Byte -scale -10 2000 $fn-3785.tif $fn-3785-scale.tif
#    echo and overviews.
#    gdaladdo -r average $fn-3785-scale.tif 2 4 8 16 32


  done


fi


if [ 0 = 1 ]; then

PREP_TABLE=1

echo "DROP TABLE srtm" | psql -d osm

echo importing to database
for i in $(ls -1 srtm_*.shp); do 
   # prepare database (executed only once)
   [ "$PREP_TABLE" ] && shp2pgsql -s 3785  -p -I -g way $i srtm | psql -d osm 
   unset PREP_TABLE

   shp2pgsql -s 3785 -a -g way $i srtm | psql -d osm

done

fi