#!/bin/sh

function usage {
  echo "./export_my.sh [full|big|fast|near|nearfast|8|9] [brno|cz|europe]"
  exit
}

MBTILES_DIR=~/Documents/MapBox/export
MBTILES=$MBTILES_DIR/czechaviationmap.mbtiles
TILES_DIR=/var/www/html/map/tiles


case "$1" in
  "full") MINZOOM=0; MAXZOOM=16; ;;
  "big")  MINZOOM=0; MAXZOOM=14; ;;
  "fast") MINZOOM=5; MAXZOOM=9; ;;
  "near") MINZOOM=8; MAXZOOM=16; ;;
  "nearfast") MINZOOM=9; MAXZOOM=14; ;;
  "8") MINZOOM=8; MAXZOOM=8; ;;
  "9") MINZOOM=9; MAXZOOM=9; ;;
  "10") MINZOOM=10; MAXZOOM=10; ;;
  "11") MINZOOM=11; MAXZOOM=11; ;;
  "12") MINZOOM=12; MAXZOOM=12; ;;
  *)  usage ;;
esac

case "$2" in
  "brno")
    BBOX="16.0,49.0,17.0,49.5"
  ;;
  "europe") 
    BBOX="5.5403,44.6293,24.8982,54.8954" # 
  ;;
  "cz")
    BBOX="12.0552,48.4654,18.9327,51.1171" # cz only
  ;;
  *)
    usage
  ;;
esac

rm -rf $MBTILES_DIR/*
./index.js export czechaviationmap $MBTILES --minzoom=$MINZOOM --maxzoom=$MAXZOOM --bbox=$BBOX

rm -rf $TILES_DIR
mb-util $MBTILES $TILES_DIR
